# Class ConnectionEvent

java.lang.Object
com.codename1.bluetooth.le.ConnectionEvent

public class ConnectionEvent extends Object
Payload of a `ConnectionListener` callback describing a `BlePeripheral` state transition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlePeripheral`
  `getPeripheral()`
  The peripheral whose connection state changed.
  `BluetoothException`
  `getReason()`
  For failure-driven transitions (an unexpected link loss, a failed connect) the typed cause; `null` for app-requested transitions such as a plain `BlePeripheral.disconnect()`.
  `ConnectionState`
  `getState()`
  The new connection state.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getPeripheral

    public BlePeripheral getPeripheral()
    The peripheral whose connection state changed.

  - ### getState

    public ConnectionState getState()
    The new connection state.

  - ### getReason

    public BluetoothException getReason()
    For failure-driven transitions (an unexpected link loss, a failed connect) the typed cause; `null` for app-requested transitions such as a plain `BlePeripheral.disconnect()`.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`